
<? $this->layout()->disableLayout() ?>

<style>
	.no { color:red; margin: 2px; }
</style>

<form class="form-common" action="<?= $this->baseUrl() ?>/billing/packages/create" method="post" id="product">
	<fieldset class="fleft" style="margin-right:5px">
		<legend>Package data</legend>

		<div class="inner">
			<label for="p-name">Name</label>
			<input class="txt w20 bold" type="text" id="p-name" name="name" value="" />
		</div>

		<div class="inner">
			<label for="p-period">Period (days)</label>
			<input class="txt" style="width:70px" type="text" id="p-period" name="period" value="" />
		</div>
		
		<div class="inner">
			<label for="p-position">Fixed Pos.</label>
			<input class="txt" style="width:60px" type="text" id="p-position" name="fixed_position" value="<?= $this->package->fixed_postion ?>" />
		</div>
		<div class="clear"></div>

		<div class="inner">
			<label><span style="vertical-align: middle">Is Active&nbsp;</span> <input style="vertical-align: middle" type="checkbox" name="is_active" value="1" /> </label>
		</div>

		<div class="inner">
			<label><span style="vertical-align: middle">Is Premium&nbsp;</span> <input style="vertical-align: middle" type="checkbox" name="is_premium" value="1" /> </label>
		</div>

		<?/*<div class="inner">
			<label><span style="vertical-align: middle">Is Default&nbsp;</span> <input style="vertical-align: middle" type="checkbox" name="is_default" value="1" /> </label>
		</div>
		
		<div class="inner">
			<label><span style="vertical-align: middle">Is Premium&nbsp;</span> <input style="vertical-align: middle" type="checkbox" name="is_premium" value="1" /> </label>
		</div>*/ ?>
		<div class="clear"></div>
	</fieldset>

	<div class="clear"></div>

	<fieldset class="fleft" style="margin:20px 5px 0 0">
		<legend>Package price</legend>

		<style>
			#package-prices-tbl { border-collapse:collapse; width: 415px; }
			#package-prices-tbl tbody tr { }
			#package-prices-tbl tbody tr th { border: 1px solid #ccc; padding: 3px 5px; background-color: #eee }
			#package-prices-tbl tbody tr td { border: 1px solid #ccc; padding: 2px 3px; }
			#package-prices-tbl tbody tr td.min { width: 20px; }
		</style>

		<div class="inner" style="padding-left:0px; margin-bottom: 10px;">
			<label for="category">Category</label>
			<select name="category" id="category" class="w20">
				<option value="main-plus">main + category</option>
				<option value="main">main</option>
				<?php foreach (Model_Advertisements::$supported_categories as  $k => $v): ?>
					<option value="<?= $k ?>" <?= ( $this->filter_params['category'] == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
				<?php endforeach; ?>
			</select>
		</div>
		
		<div class="inner" style="padding-left:0px; margin-bottom: 10px;">
			<label for="price">Price</label>
			<input type="text" class="txt" style="width:65px" name="price" id="price" value="" />
		</div>
		<div class="inner" style="padding-left:0px; margin-bottom: 10px;">
			<a id="btn-price-add" class="sbtn icon-add mt20"></a>
		</div>
		<div class="clear"></div>

		<div id="prices_wrapper">
			<table id="package-prices-tbl" cellpadding="0" cellspacing="0">
				<thead></thead>
				<tbody>
					<tr>
						<th>Catgory</th>
						<th>Price (currency_title)</th>
						<th></th>
					</tr>
					<?php if ( $this->package_prices ): ?>
						<?php foreach($this->package_prices as $prod_price):?>
						<tr>
							<td>
								<?= ($prod_price->user_type == 1) ? 'Single Escort' : 'Agency' ?>
								<input type="hidden" name="prices[]" value="<?= $prod_price->user_type ?>:<?= $prod_price->gender ?>:<?= $prod_price->price ?>" />
							</td>
							<td align="right"><span class="price"><?= $prod_price->price ?></span></td>
							<td class="min" align="center"><a class="sbtn icon-remove"></a></td>
						</tr>
						<?php endforeach; ?>
					<?php else: ?>
						<tr>
							<td colspan="4"><p class="no">No package price</p></td>
						</tr>
					<?php endif; ?>
				</tbody>
				<tfoot></tfoot>
			</table>
		</div>
		<div class="clear"></div>

	</fieldset>

	<?/*<div class="fleft" style="margin:0">
		<fieldset style="margin:20px 5px 0 0">
			<legend>Products</legend>

			<style>
				#products-tbl { border-collapse:collapse; width: 405px; }
				#products-tbl tbody tr { }
				#products-tbl tbody tr th { border: 1px solid #ccc; padding: 3px 5px; background-color: #eee }
				#products-tbl tbody tr td { border: 1px solid #ccc; padding: 2px 3px; }
				#products-tbl tbody tr td.min { width: 20px; }
			</style>

			<p style="color:#474747; font-size: 11px; width: 400px; font-weight: normal; margin-bottom: 5px">NOTE: product price depends on user type and gender, this amount applies to agency girls.</p>
			<div class="clear"></div>

			<div class="inner" style="padding-left:0px; margin-bottom: 10px;">
				<label for="p-product">Product</label>
				<select name="product" id="p-product" style="width: 200px">
					<option value="">---</option>
					<?php foreach($this->product_list as $prod): ?>
						<option value="<?= $prod->id ?>"><?= $prod->name ?></option>
					<?php endforeach; ?>
				</select>
			</div>
			<div class="inner" style="padding-left:0px; margin-bottom: 10px;">
				<a id="btn-product-add" class="sbtn icon-add mt20"></a>
			</div>
			<div class="clear"></div>

			<table id="products-tbl" cellpadding="0" cellspacing="0">
				<thead></thead>
				<tbody>
					<tr>
						<th>Product Name</th>
						<th></th>
					</tr>
					<?php if ( $this->package_products ): ?>
						<?php foreach($this->package_products as $key => $p_product): ?>
						<tr>
							<td>
								<span><?= $p_product ?></span>
								<input type="hidden" name="products[]" value="<?= $key ?>" />
							</td>
							<td class="min" align="center"><a class="sbtn icon-remove"></a></td>
						</tr>
						<?php endforeach; ?>
					<?php else: ?>
						<tr>
							<td colspan="2"><p class="no">No product</p></td>
						</tr>
					<?php endif; ?>
				</tbody>
				<tfoot></tfoot>
			</table>

			<div class="clear"></div>
		</fieldset>

		<fieldset style="margin:20px 5px 0 0">
			<legend>Optional products</legend>

			<style>
				#opt-products-tbl { border-collapse:collapse; width: 405px; }
				#opt-products-tbl tbody tr { }
				#opt-products-tbl tbody tr th { border: 1px solid #ccc; padding: 3px 5px; background-color: #eee }
				#opt-products-tbl tbody tr td { border: 1px solid #ccc; padding: 2px 3px; }
				#opt-products-tbl tbody tr td.min { width: 20px; }
			</style>

			<p style="color:#474747; font-size: 12px; width: 400px; font-weight: normal; margin-bottom: 5px">Non-package products, which can be purchased as addons to this package for additional price.</p>
			<p style="color:#474747; font-size: 11px; width: 400px; font-weight: normal; margin-bottom: 5px">NOTE: product price depends on user type and gender, this amount applies to agency girls.</p>
			<div class="clear"></div>

			<div class="inner" style="padding-left:0px; margin-bottom: 10px;">
				<label for="p-opt-product">Product</label>
				<select name="opt-product" id="p-opt-product" style="width: 200px">
					<option value="">---</option>
					<?php foreach($this->product_list as $prod): ?>
						<option value="<?= $prod->id ?>"><?= $prod->name ?></option>
					<?php endforeach; ?>
				</select>
			</div>
			<div class="inner" style="padding-left:0px; margin-bottom: 10px;">
				<a id="btn-opt-product-add" class="sbtn icon-add mt20"></a>
			</div>
			<div class="clear"></div>

			<table id="opt-products-tbl" cellpadding="0" cellspacing="0">
				<thead></thead>
				<tbody>
					<tr>
						<th>Product Name</th>
						<th></th>
					</tr>
					<?php if ( $this->optional_products ): ?>
						<?php foreach($this->optional_products as $key => $opt_product): ?>
						<tr>
							<td>
								<?= $opt_product ?>
								<input type="hidden" name="opt_products[]" value="<?= $key ?>" />
							</td>
							<td class="min" align="center"><a class="sbtn icon-remove"></a></td>
						</tr>
						<?php endforeach; ?>
					<?php else: ?>
						<tr>
							<td colspan="2"><p class="no">No optional product</p></td>
						</tr>
					<?php endif; ?>
				</tbody>
				<tfoot></tfoot>
			</table>
			<div class="clear"></div>
		</fieldset>
	</div>*/ ?>
	<div class="clear"></div>
</form>